export const appIndexTsTemplate = `import "./index.css";
import { createRoot } from "react-dom/client";
import { NetlifyUIExtension } from "@netlify/sdk/ui/react";
import { App } from "./App.jsx";

const rootNodeId = "root";
let rootNode = document.getElementById(rootNodeId);
if (rootNode === null) {
  rootNode = document.createElement("div");
  rootNode.id = rootNodeId;
}
const root = createRoot(rootNode);

root.render(
  <NetlifyUIExtension>
    <App />
  </NetlifyUIExtension>
);
`;
//# sourceMappingURL=index.tsx.template.js.map